Bug 537231 - Can't place different KVM guests onto different external VLANs via a bonded NIC
Can't place different KVM guests onto different external VLANs via a bonded NIC
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kvm (Show other bugs)
5.4
All Linux
low Severity medium
: rc
: ---
Assigned To: Eduardo Habkost
Virtualization Bugs
: Reopened
Depends On:
Blocks: Rhel5KvmTier2
  Show dependency treegraph
 
Reported: 2009-11-12 16:30 EST by Casey Dahlin
Modified: 2014-06-18 04:46 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-30 15:01:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Casey Dahlin 2009-11-12 16:30:35 EST
Quoting from customer:

"I have a RHEL 5.4 machine with KVM option installed and enabled. I have a bonding interface bond0 created which I'd like to use it for KVM guests. What I'm not clear is how to create VLAN tagged sub-interfaces which can be used by KVM guests. I have tried to create VLAN tagged sub-interfaces in the host machine and then create bridged interfaces to them which are assigned to the guest machines. I have also tried specify the VLAN tag in the guest definition. None of them worked properly. Can you tell me the proper procedures to achieve this?"

It seems like a few of these should have worked. How should this be accomplished?
Comment 1 Dor Laor 2009-12-13 03:58:26 EST
This is not a bug, and even not a kvm issue.
The customer should use bond + vlan interface + bridge and hook it to the tap.
Not sure it is supported by libvirt.
Comment 2 Casey Dahlin 2010-02-17 10:54:06 EST
I spoke to Daniel P. Berrange about this. He said:

"I don't think Dor should have closed it like that. The problem here is
really that there's no good component to assign it to yet since it is
not clear what the actual customer issue is:-) It could be mis-configuration,
it could be libvirt, it could be KVM."

I'm happy to collect whatever we need to give this some direction, but I do still feel there's an issue. The customer's way of attacking the problem was valid. Dor's workaround is fine but doesn't mean the issue isn't there.
Comment 4 Dor Laor 2010-02-18 07:34:45 EST
We need exactly the setup that was checked. Please provide all the ip interfaces, bond config, bridge configuration, qemu cmdline, qemu-ifup script, guest side configuration, etc.

Both the solution that were tried should work

Note You need to log in before you can comment on or make changes to this bug.